import {
  Brightness1,
  StopCircle,
  RadioButtonUnchecked,
  HelpOutline
} from "@mui/icons-material";

export const STATUS = {
  active: "active",
  disabled: "disabled",
  alert: "alert",
  warning: "warning",
  inactive: "inactive",
  inactiveAlert: "inactive alert",
  inactiveWarning: "inactive warning"
};

export const SEVERITY = {
  info: "info",
  alert: "error",
  warning: "warning"
};

export const statusConfig = {
  [STATUS.active]: {
    title: "Active",
    icon: Brightness1
  },
  [STATUS.disabled]: {
    title: "Disabled",
    icon: StopCircle
  },
  [STATUS.alert]: {
    title: "Active with alert(s)",
    icon: Brightness1
  },
  [STATUS.warning]: {
    title: "Active with warning(s)",
    icon: Brightness1
  },
  [STATUS.inactive]: {
    title: "Inactive",
    icon: RadioButtonUnchecked
  },
  [STATUS.inactiveAlert]: {
    title: "Inactive with alert(s)",
    icon: RadioButtonUnchecked
  },
  [STATUS.inactiveWarning]: {
    title: "Inactive with warning(s)",
    icon: RadioButtonUnchecked
  },
  null: {
    title: "Unknown",
    icon: HelpOutline
  }
};
